Obter webhook
curl --request GET \
--url https://api.upag.io/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoints
Obter webhook
Consulta um webhook pelo ID
GET
https://api.upag.io
/
v1
/
webhooks
/
{webhookId}
Obter webhook
curl --request GET \
--url https://api.upag.io/v1/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl https://api.upag.io/v1/webhooks/aa0e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer sk_test_your_api_key"
Resposta
200 OK
Response
{
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"description": "Order events",
"active": true,
"url": "https://example.com/webhooks",
"headers": { "X-Custom": "value" },
"events": ["charge.paid"],
"createdAt": "2026-03-18T09:00:00.000Z",
"updatedAt": "2026-03-18T09:00:00.000Z"
}